Name: drakfloppy
Version: 0.43
Release: alt4

Summary: Graphical front end of mkbootdisk
Source0: %name-%version.tar.bz2
Source1: %name
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2
Source6: pam.drakfloppy
Source7: apps.drakfloppy

Patch1: %name-0.43-be_locale.patch

License: GPL

PreReq: gtk+ perl-GetText
BuildArch: noarch

Group: System/Configuration/Boot and Init
Url: http://mandrakesoft.com/~damien/html/drakfloppy.html

%description
Graphical front end of mkbootdisk. You can make standard boot disk, and add
specific modules.

Part of the ALT Linux Control-Center.

%prep
%setup -q
%patch1 -p1

%build
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_x11bindir,%_mandir/man1}
make version=%version prefix=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%_mandir install
mkdir -p $RPM_BUILD_ROOT%_menudir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

mv $RPM_BUILD_ROOT%_x11bindir/drakfloppy \
   $RPM_BUILD_ROOT%_x11bindir/drakfloppy.real
ln -sf %_bindir/consolehelper $RPM_BUILD_ROOT%_x11bindir/drakfloppy
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{pam.d,security/console.apps}
cp %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/pam.d/drakfloppy
cp %SOURCE7 $RPM_BUILD_ROOT%_sysconfdir/security/console.apps/drakfloppy

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_x11bindir/*
%_mandir/man?/*
%_menudir/*
%_miconsdir/*.xpm
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%config(noreplace) %_sysconfdir/pam.d/drakfloppy
%config(noreplace) %_sysconfdir/security/console.apps/drakfloppy

%changelog
* Thu Oct 24 2002 Stanislav Ievlev <inger@altlinux.ru> 0.43-alt4
- rebuild, made noarch

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.43-alt3
- Synced with MDK
- Removed requires to usermode

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.43-alt2
- fixed bug #0000299
- added Belarusian translation

* Tue Nov 15 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.43-alt1
- Adopted for Sisyphus

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 0.43-8mdk
- added URL tag.

* Mon Sep 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.43-7mdk
- rebuild including latest translations

* Tue Aug 21 2001 Yves Duret <yduret@mandrakesoft.com> 0.43-6mdk
- added an exclusivearch tag
- resync with cvs (dams sux)
- fix po/utf-8 thanx to  Stefan Siegel <siegel@informatik.uni-kl.de>

* Thu Aug 16 2001 dam's <damien@mandrakesoft.com> 0.43-5mdk
- removed bs po. Need to be fixed.

* Mon Aug 06 2001 Yves Duret <yduret@mandrakesoft.com> 0.43-4mdk
- use MDK::Common;

* Mon Jun 11 2001 Yves Duret <yduret@mandrakesoft.com> 0.43-3mdk
- fixed big5 typos

* Fri May 25 2001 Yves Duret <yduret@mandrakesoft.com> 0.43-2mdk
- rebuild with new gettext

* Sun Apr 15 2001 Yves Duret <yduret@mandrakesoft.com> 0.43-1mdk
- bug fix, layout, test if a medium is present
- spec & Makefile clean up

* Fri Apr 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.42-7mdk
- prevent to crash if no medium

* Mon Apr  9 2001 dam's <damien@mandrakesoft.com> 0.42-6mdk
- corrected too big window

* Fri Mar  9 2001 dam's <damien@mandrakesoft.com> 0.42-5mdk
- corrected graphical layout.

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 0.42-4mdk
- updated embedded mode

* Fri Feb 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.42-3mdk
- added some new feature

* Tue Feb 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.42-2mdk
- add features, should now works (tm)
- i18n thanks to pablo

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.42-1mdk
- debug, layout and embedded mode corrected

* Mon Feb  5 2001 Yves Duret <yduret@mandrakesoft.com> 0.40-1mdk
- new implementation in perl/gtk
- spec clean up

* Sat Dec 16 2000 dam's <damien@mandrakesoft.com> 0.31-1mdk
- New version.

* Wed Nov 15 2000 dam's <damien@mandrakesoft.com> 0.30-12mdk
- corrected menu.

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 0.30-11mdk
- Mandrake release.

* Wed Oct 25 2000 dam's <damien@mandrakesoft.com> 0.30-10mdk
- updated po files. Corrected typo.

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.30-9mdk
- s/kdesu/usermode/g

* Fri Sep 22 2000 dam's <damien@mandrakesoft.com> 0.30-8mdk
- added warning.

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.30-7mdk
- BM
- macros, cleanup

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.30-6mdk
- automatically added BuildRequires

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.30-5mdk
- Requires: /sbin/mkbootdisk only on ia32 arch.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.30-4mdk
- Updated translation files.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 0.30-3mdk
- Corrected label and kernel version check.
- Added Prereq.

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 0.30-2mdk
- corrected icons.

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 0.30-1mdk
- Changing name from drakbootdisk to drakfloppy.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.20-4mdk
- Output text implemented.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.20-3mdk
- Converted icon .gif in .xpm.
- Trying to implement output text.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- Corrected description/Summary.

* Fri Apr 17 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- First release.
